openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/TREX_DISPLAY_RFC_DESTINATION:
    post:
      tags:
      - TREX_UTIL
      summary: Show detail data for an RFC destination
      operationId: /rfc/TREX_DISPLAY_RFC_DESTINATION
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_DISPLAY_ONLY:
                  type: string
                  default: ''
                  maxLength: 1
                  description: Show screen in display mode
                I_RFC_DESTINATION:
                  type: string
                  maxLength: 32
                  description: RFC Destination
              required:
              - I_RFC_DESTINATION
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
